CREATE TABLE cmp_cwb_promotions (
    PROMOTION_ID             NUMBER(18, 0),
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID            NUMBER(18, 0)    NOT NULL,
    PERSON_ID                NUMBER(18, 0)    NOT NULL,
    ASG_CHANGE_DATE          DATE         ,
    JOB_ID                   NUMBER(18, 0),
    POSITION_ID              NUMBER(18, 0),
    GRADE_ID                 NUMBER(18, 0),
    GRADE_MIN_VAL            NUMBER       ,
    GRADE_MID_POINT          NUMBER       ,
    GRADE_MAX_VAL            NUMBER       ,
    PROM_ORIG_UPDATED_BY     NUMBER(18, 0),
    PROM_UPDATE_DATE         DATE         ,
    PROM_UPDATED_BY          NUMBER(18, 0),
    NEW_ASSIGNMENT_OVN       NUMBER(9, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ASSIGNMENT_NAME          VARCHAR2(320),
    GRADE_STEP_ID            NUMBER(18, 0),
    PROMOTION_ID             NUMBER(18, 0),
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID            NUMBER(18, 0)    NOT NULL,
    PERSON_ID                NUMBER(18, 0)    NOT NULL,
    ASG_CHANGE_DATE          DATE         ,
    JOB_ID                   NUMBER(18, 0),
    POSITION_ID              NUMBER(18, 0),
    GRADE_ID                 NUMBER(18, 0),
    GRADE_MIN_VAL            NUMBER       ,
    GRADE_MID_POINT          NUMBER       ,
    GRADE_MAX_VAL            NUMBER       ,
    PROM_ORIG_UPDATED_BY     NUMBER(18, 0),
    PROM_UPDATE_DATE         DATE         ,
    PROM_UPDATED_BY          NUMBER(18, 0),
    NEW_ASSIGNMENT_OVN       NUMBER(9, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ASSIGNMENT_NAME          VARCHAR2(320),
    GRADE_STEP_ID            NUMBER(18, 0),
    CONSTRAINT pk_cmp_cwb_promotions PRIMARY KEY (PROMOTION_ID, PROMOTION_ID)
);
